All pages
Powered by GitBook
1 of 1

Loading...

Publish product

Publish a product.

post
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
shortDescriptionstring · nullableOptional
longDescriptionstring · nullableOptional
operationsstring · nullableOptional
defaultErpItemstring · nullableOptional
websitestringOptional
statusstringOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
productOrderingbooleanOptional
enabledbooleanOptional
namestring · nullableOptional
labelstring · nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
enabledbooleanOptional
typestring · nullableOptional
sendCostToErpboolean · nullableOptional
enabledbooleanOptional
modestring · enum · nullableOptionalPossible values:
itemCountinteger · int32Optional
ordersPlacedCountinteger · int32Optional
agreementCountinteger · int32Optional
subscriptionCountinteger · int32Optional
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

post/public/v1/catalog/products/{id}/publish
POST /public/v1/catalog/products/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "pending": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "shortDescription": "text",
  "longDescription": "text",
  "externalIds": {
    "operations": "text",
    "defaultErpItem": "text"
  },
  "website": "text",
  "status": "text",
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  },
  "settings": {
    "productOrdering": true,
    "productRequests": {
      "enabled": true,
      "name": "text",
      "label": "text"
    },
    "itemSelection": true,
    "orderQueueChanges": true,
    "preValidation": {
      "purchaseOrderDraft": true,
      "purchaseOrderQuerying": true,
      "changeOrderDraft": true,
      "configurationOrderDraft": true,
      "terminationOrder": true
    },
    "splitBilling": {
      "enabled": true,
      "type": "text"
    },
    "sendCostToErp": true,
    "subscriptionCessation": {
      "enabled": true,
      "mode": "Termination"
    }
  },
  "statistics": {
    "itemCount": 1,
    "ordersPlacedCount": 1,
    "agreementCount": 1,
    "subscriptionCount": 1
  }
}